ONVIF::Device::Elements::GetDeviceInformationResponse(3)

NAME
ONVIF::Device::Elements::GetDeviceInformationResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetDeviceInformationResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Manufacturer

     $element->set_Manufacturer($data);
     $element->get_Manufacturer();

•   Model

     $element->set_Model($data);
     $element->get_Model();

•   FirmwareVersion

     $element->set_FirmwareVersion($data);
     $element->get_FirmwareVersion();

•   SerialNumber

     $element->set_SerialNumber($data);
     $element->get_SerialNumber();

•   HardwareId

     $element->set_HardwareId($data);
     $element->get_HardwareId();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetDeviceInformationResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Manufacturer =>  $some_value, # string
   Model =>  $some_value, # string
   FirmwareVersion =>  $some_value, # string
   SerialNumber =>  $some_value, # string
   HardwareId =>  $some_value, # string
 },

AUTHOR
Generated by SOAP::WSDL